#pragma once
#include <glm/glm.hpp>
#include <string>
#include "Shader.h"

class Material {
public:
	Material(const Shader& shader);
	
	void Apply();
	
	glm::vec3 Color;


private:
	const Shader& shader;
	

};